aboutsummaryrefslogtreecommitdiff
path: root/test/nix/os-ubuntu.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/nix/os-ubuntu.sh')
-rwxr-xr-xtest/nix/os-ubuntu.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/test/nix/os-ubuntu.sh b/test/nix/os-ubuntu.sh
new file mode 100755
index 0000000..fe2b978
--- /dev/null
+++ b/test/nix/os-ubuntu.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+set -e
+
+# Optional: Import test library bundled with the devcontainer CLI
+source dev-container-features-test-lib
+
+uid="$(id -u)"
+echo "Current user UID is ${uid}."
+nix_uid="$(stat /nix -c "%u")"
+echo "/nix UID is ${nix_uid}."
+
+cat /etc/os-release
+
+# Feature-specific tests
+# The 'check' command comes from the dev-container-features-test-lib.
+check "nix-env" type nix-env
+check "install" nix-env --install vim
+check "vim_installed" type vim
+
+# Report result
+# If any of the checks above exited with a non-zero exit code, the test will fail.
+reportResults &2>1 \ No newline at end of file